'use client';

import { create } from 'zustand';
import { devtools } from 'zustand/middleware';
import { createUniformitySlice } from '@/stores/production/uniformity/slices/uniformity.slice';
import { UniformitySlice } from '@/types/stores';

export type UniformityStore = UniformitySlice;

export const useUniformityStore = create<UniformityStore>()(
  devtools(
    (...args) => ({
      ...createUniformitySlice(...args),
    }),
    {
      name: 'UniformityStore',
    }
  )
);
